OrcProto.PostScript.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.PostScript.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>
      - - org.apache.orc.OrcProto.PostScript.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.PostScriptOrBuilder
  Enclosing class:
    OrcProto.PostScript

      public static final class OrcProto.PostScript.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>
      implements OrcProto.PostScriptOrBuilder

  Protobuf type `orc.proto.PostScript`

       Serialized length must be less that 255 bytes

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.PostScript.Builder` | `addAllVersion(Iterable<? extends Integer> values)` `repeated uint32 version = 4 [packed = true];`
    `OrcProto.PostScript.Builder` | `addVersion(int value)` `repeated uint32 version = 4 [packed = true];`
    `OrcProto.PostScript` | `build()`
    `OrcProto.PostScript` | `buildPartial()`
    `OrcProto.PostScript.Builder` | `clear()`
    `OrcProto.PostScript.Builder` | `clearCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `OrcProto.PostScript.Builder` | `clearCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `OrcProto.PostScript.Builder` | `clearFooterLength()` `optional uint64 footerLength = 1;`
    `OrcProto.PostScript.Builder` | `clearMagic()` `optional string magic = 8000;`
    `OrcProto.PostScript.Builder` | `clearMetadataLength()` `optional uint64 metadataLength = 5;`
    `OrcProto.PostScript.Builder` | `clearVersion()` `repeated uint32 version = 4 [packed = true];`
    `OrcProto.PostScript.Builder` | `clearWriterVersion()` `optional uint32 writerVersion = 6;`
    `OrcProto.PostScript.Builder` | `clone()`
    `OrcProto.CompressionKind` | `getCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `long` | `getCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `OrcProto.PostScript` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getFooterLength()` `optional uint64 footerLength = 1;`
    `String` | `getMagic()` `optional string magic = 8000;`
    `com.google.protobuf.ByteString` | `getMagicBytes()` `optional string magic = 8000;`
    `long` | `getMetadataLength()` `optional uint64 metadataLength = 5;`
    `int` | `getVersion(int index)` `repeated uint32 version = 4 [packed = true];`
    `int` | `getVersionCount()` `repeated uint32 version = 4 [packed = true];`
    `List<Integer>` | `getVersionList()` `repeated uint32 version = 4 [packed = true];`
    `int` | `getWriterVersion()` `optional uint32 writerVersion = 6;`
    `boolean` | `hasCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `boolean` | `hasCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `boolean` | `hasFooterLength()` `optional uint64 footerLength = 1;`
    `boolean` | `hasMagic()` `optional string magic = 8000;`
    `boolean` | `hasMetadataLength()` `optional uint64 metadataLength = 5;`
    `boolean` | `hasWriterVersion()` `optional uint32 writerVersion = 6;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.PostScript.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.PostScript.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.PostScript.Builder` | `mergeFrom(OrcProto.PostScript other)`
    `OrcProto.PostScript.Builder` | `setCompression(OrcProto.CompressionKind value)` `optional .orc.proto.CompressionKind compression = 2;`
    `OrcProto.PostScript.Builder` | `setCompressionBlockSize(long value)` `optional uint64 compressionBlockSize = 3;`
    `OrcProto.PostScript.Builder` | `setFooterLength(long value)` `optional uint64 footerLength = 1;`
    `OrcProto.PostScript.Builder` | `setMagic(String value)` `optional string magic = 8000;`
    `OrcProto.PostScript.Builder` | `setMagicBytes(com.google.protobuf.ByteString value)` `optional string magic = 8000;`
    `OrcProto.PostScript.Builder` | `setMetadataLength(long value)` `optional uint64 metadataLength = 5;`
    `OrcProto.PostScript.Builder` | `setVersion(int index, int value)` `repeated uint32 version = 4 [packed = true];`
    `OrcProto.PostScript.Builder` | `setWriterVersion(int value)` `optional uint32 writerVersion = 6;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>`

    - #### clear

          public OrcProto.PostScript.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>`

    - #### clone

          public OrcProto.PostScript.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.PostScript getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.PostScript build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.PostScript buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.PostScript.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.PostScript.Builder>`

    - #### mergeFrom

          public OrcProto.PostScript.Builder mergeFrom(OrcProto.PostScript other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.PostScript.Builder>`

    - #### mergeFrom

          public OrcProto.PostScript.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.PostScript.Builder>`
      Throws:
        `IOException`

    - #### hasFooterLength

          public boolean hasFooterLength()

      `optional uint64 footerLength = 1;`
      Specified by:
        `hasFooterLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### getFooterLength

          public long getFooterLength()

      `optional uint64 footerLength = 1;`
      Specified by:
        `getFooterLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### setFooterLength

          public OrcProto.PostScript.Builder setFooterLength(long value)

      `optional uint64 footerLength = 1;`

    - #### clearFooterLength

          public OrcProto.PostScript.Builder clearFooterLength()

      `optional uint64 footerLength = 1;`

    - #### hasCompression

          public boolean hasCompression()

      `optional .orc.proto.CompressionKind compression = 2;`
      Specified by:
        `hasCompression` in interface `OrcProto.PostScriptOrBuilder`

    - #### getCompression

          public OrcProto.CompressionKind getCompression()

      `optional .orc.proto.CompressionKind compression = 2;`
      Specified by:
        `getCompression` in interface `OrcProto.PostScriptOrBuilder`

    - #### setCompression

          public OrcProto.PostScript.Builder setCompression(OrcProto.CompressionKind value)

      `optional .orc.proto.CompressionKind compression = 2;`

    - #### clearCompression

          public OrcProto.PostScript.Builder clearCompression()

      `optional .orc.proto.CompressionKind compression = 2;`

    - #### hasCompressionBlockSize

          public boolean hasCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`
      Specified by:
        `hasCompressionBlockSize` in interface `OrcProto.PostScriptOrBuilder`

    - #### getCompressionBlockSize

          public long getCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`
      Specified by:
        `getCompressionBlockSize` in interface `OrcProto.PostScriptOrBuilder`

    - #### setCompressionBlockSize

          public OrcProto.PostScript.Builder setCompressionBlockSize(long value)

      `optional uint64 compressionBlockSize = 3;`

    - #### clearCompressionBlockSize

          public OrcProto.PostScript.Builder clearCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`

    - #### getVersionList

          public List<Integer> getVersionList()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

      Specified by:
        `getVersionList` in interface `OrcProto.PostScriptOrBuilder`

    - #### getVersionCount

          public int getVersionCount()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

      Specified by:
        `getVersionCount` in interface `OrcProto.PostScriptOrBuilder`

    - #### getVersion

          public int getVersion(int index)

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

      Specified by:
        `getVersion` in interface `OrcProto.PostScriptOrBuilder`

    - #### setVersion

          public OrcProto.PostScript.Builder setVersion(int index,
                                                        int value)

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### addVersion

          public OrcProto.PostScript.Builder addVersion(int value)

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### addAllVersion

          public OrcProto.PostScript.Builder addAllVersion(Iterable<? extends Integer> values)

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### clearVersion

          public OrcProto.PostScript.Builder clearVersion()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

    - #### hasMetadataLength

          public boolean hasMetadataLength()

      `optional uint64 metadataLength = 5;`
      Specified by:
        `hasMetadataLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### getMetadataLength

          public long getMetadataLength()

      `optional uint64 metadataLength = 5;`
      Specified by:
        `getMetadataLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### setMetadataLength

          public OrcProto.PostScript.Builder setMetadataLength(long value)

      `optional uint64 metadataLength = 5;`

    - #### clearMetadataLength

          public OrcProto.PostScript.Builder clearMetadataLength()

      `optional uint64 metadataLength = 5;`

    - #### hasWriterVersion

          public boolean hasWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

      Specified by:
        `hasWriterVersion` in interface `OrcProto.PostScriptOrBuilder`

    - #### getWriterVersion

          public int getWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

      Specified by:
        `getWriterVersion` in interface `OrcProto.PostScriptOrBuilder`

    - #### setWriterVersion

          public OrcProto.PostScript.Builder setWriterVersion(int value)

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

    - #### clearWriterVersion

          public OrcProto.PostScript.Builder clearWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

    - #### hasMagic

          public boolean hasMagic()

      `optional string magic = 8000;`

           Leave this last in the record

      Specified by:
        `hasMagic` in interface `OrcProto.PostScriptOrBuilder`

    - #### getMagic

          public String getMagic()

      `optional string magic = 8000;`

           Leave this last in the record

      Specified by:
        `getMagic` in interface `OrcProto.PostScriptOrBuilder`

    - #### getMagicBytes

          public com.google.protobuf.ByteString getMagicBytes()

      `optional string magic = 8000;`

           Leave this last in the record

      Specified by:
        `getMagicBytes` in interface `OrcProto.PostScriptOrBuilder`

    - #### setMagic

          public OrcProto.PostScript.Builder setMagic(String value)

      `optional string magic = 8000;`

           Leave this last in the record

    - #### clearMagic

          public OrcProto.PostScript.Builder clearMagic()

      `optional string magic = 8000;`

           Leave this last in the record

    - #### setMagicBytes

          public OrcProto.PostScript.Builder setMagicBytes(com.google.protobuf.ByteString value)

      `optional string magic = 8000;`

           Leave this last in the record

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.